{ config, pkgs, ... }:
{
  imports = [
    (builtins.fetchTarball {
      # Pick a commit from the branch you are interested in
      url = "https://gitlab.com/simple-nixos-mailserver/nixos-mailserver/-/archive/4008d0cb/nixos-mailserver-4008d0cb.tar.gz";
      # And set its hash
      sha256 = "1y9svi3nrg24ky1gqbpa3zhnhhin399h0cmnf81hb4yn75mlqiqx";
    })
  ];


  mailserver = {
    enable = true;
    fqdn = "ilchub.net";
    domains = [ "ilchub.net" ];

    # A list of all login accounts. To create the password hashes, use
    # mkpasswd -m sha-512 "super secret password"
    loginAccounts = {
	"test@ilchub.net" = {
	    hashedPassword = "";

            #aliases = [
            #    "mail@example.com"
            #];

            # Make this user the catchAll address for domains blah.com and
            # example2.com
            catchAll = [
		"ilchub.net"
            ];
        };
        
    };

    # Extra virtual aliases. These are email addresses that are forwarded to
    # loginAccounts addresses.
    extraVirtualAliases = {
        # address = forward address;
	 "admin@ilchub.net" = "test@ilchub.net";
    };

    # Use Let's Encrypt certificates. Note that this needs to set up a stripped
    # down nginx and opens port 80.
    certificateScheme = 3;

    # Enable IMAP and POP3
    enableImap = true;
    enablePop3 = false;
    enableImapSsl = true;
    enablePop3Ssl = false;
    dkimSelector = "selector";

    # Enable the ManageSieve protocol
    enableManageSieve = false;

    virusScanning = false;
  };
  security.acme = {
    acceptTerms = true;
    # Replace the email here!
    email = "test@ilchub.net";
};
}
