{ pkgs, ... }:

{
  systemd = {
    timers.restic = {
      wantedBy = [ "timers.target" ];
      partOf = [ "restic.service" ];
      timerConfig.OnCalendar = [ "hourly" "daily" ];
    };
    services.restic = {
	  serviceConfig = {
        Type = "oneshot";
        User = "restic";
      };
      script = ''
	 restic -r s3:s3.amazonaws.com/ backup /var/vmail /var/vmail 
      '';
    };
  };
  users.users.restic = {
    isNormalUser = false;
  };
}
